<script setup>
    import BoutonModifier from '../boutons/BoutonModifier.vue';
    import BoutonSupprimer from '../boutons/BoutonSupprimer.vue';
    const siret = "195 944 038 00205"
    const raisonSociale = "Université du Littoral Côte d'Opale"
    const props = defineProps(['ficheDePaie', 'employe'])
</script>

<template>
    <div class="fiche-paie-card">
        <div class="card-header">
            <h1 class="card-title">Fiche de paie n°{{ props.ficheDePaie.idFicheDePaie }}</h1>
            <div class="buttons">
                <BoutonModifier :href="'/fiches_de_paie/' + props.ficheDePaie.idFicheDePaie" />
                <BoutonSupprimer @click="$emit('supprimer', props.ficheDePaie.idFicheDePaie)" />
            </div>
        </div>
        <div class="card-body">
            <p><strong>Employé n°</strong>{{ props.ficheDePaie.idEmploye }}</p>
            <p><strong>Nom:</strong> {{ employe.nom }}</p>
            <p><strong>Prénom:</strong> {{ employe.prenom }}</p>
            <p><strong>Adresse:</strong> {{ employe.adresse }}</p>
            <p><strong>Rôle:</strong> {{ props.ficheDePaie.role }}</p>
            <p><strong>Siret:</strong> {{ siret }}</p>
            <p><strong>Raison sociale:</strong> {{ raisonSociale }}</p>
            <p><strong>Date:</strong> {{ props.ficheDePaie.date }}</p>
            <p><strong>Salaire brut:</strong> {{ parseFloat(props.ficheDePaie.salaireBrut) / 100.0 }} €</p>
            <p><strong>Cotisations patronales:</strong> {{ parseFloat(props.ficheDePaie.cotisationsPatronales) / 100.0 }} €</p>
        </div>
    </div>
</template>
  
<style scoped>
    .fiche-paie-card {
        border: 1px solid #ccc;
        border-radius: 8px;
        overflow: hidden;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        transition: box-shadow 0.3s ease;
    }
  
    .fiche-paie-card:hover {
        box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
    }
  
    .card-header {
        background-color: #007bff;
        color: white;
        padding: 16px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
  
    .card-title {
        font-size: 24px;
        margin: 0;
    }   
  
    .buttons {
        display: flex;
        align-items: center;
    }
  
    .buttons > * {
        margin-left: 10px;
    }
    
    .card-body {
        padding: 16px;
    }
    
    .card-body p {
        margin: 8px 0;
    }
    
    .card-body strong {
        margin-right: 8px;
    }
</style>